Package org.jbpm.services.task.audit.impl.model

## Class TaskVariableImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.TaskVariableImpl_

-     @Generated("org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskVariableImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Long>` | `id` |
    `static String` | `ID` |
    `static String` | `MODIFICATION_DATE` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Date>` | `modificationDate` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​String>` | `name` |
    `static String` | `NAME` |
    `static String` | `PROCESS_ID` |
    `static String` | `PROCESS_INSTANCE_ID` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​String>` | `processId` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Long>` | `processInstanceId` |
    `static String` | `TASK_ID` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Long>` | `taskId` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​org.kie.internal.task.api.TaskVariable.VariableType>` | `type` |
    `static String` | `TYPE` |
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​String>` | `value` |
    `static String` | `VALUE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskVariableImpl_()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Long> processInstanceId

    - #### modificationDate

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Date> modificationDate

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​String> processId

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Long> id

    - #### type

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​org.kie.internal.task.api.TaskVariable.VariableType> type

    - #### value

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​String> value

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,​Long> taskId

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### MODIFICATION_DATE

          public static final String MODIFICATION_DATE

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          public static final String PROCESS_ID

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### TASK_ID

          public static final String TASK_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskVariableImpl_

          public TaskVariableImpl_()